dbXML API

## org.xmldb.api.sdk
Class SimpleDatabase

    java.lang.Object
      |
      +--org.xmldb.api.sdk.SimpleConfigurable
            |
            +--org.xmldb.api.sdk.SimpleDatabase

All Implemented Interfaces:
  Configurable, Database

Direct Known Subclasses:
  DatabaseImpl

public abstract class SimpleDatabase
extends SimpleConfigurable
implements Database

Simple `Database` implementation intended to be used as a base class for a specific implementation.

Extending classes MUST set INSTANCE_NAME and SHOULD set CONFORMANCE_LEVEL to values appropriate for their specific implementation.

Constructor Summary
`SimpleDatabase()`

Method Summary
`boolean` `acceptsURI(java.lang.String uri)` acceptsURI determines whether this `Database` implementation can handle the URI.
`Collection` `getCollection(java.lang.String uri)` Retrieves a `Collection` instance based on the URI provided in the `uri` parameter.
`java.lang.String` `getConformanceLevel()` Returns the XML:DB API Conformance level for the implementation.
`java.lang.String` `getName()` Returns the name associated with the Configurable object.

Methods inherited from class org.xmldb.api.sdk.SimpleConfigurable
`getProperty, setProperty`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.xmldb.api.base.Database
`getCollection`

Methods inherited from interface org.xmldb.api.base.Configurable
`getProperty, setProperty`

Constructor Detail

### SimpleDatabase

    public SimpleDatabase()

Method Detail

### getName

    public java.lang.String getName()
                             throws XMLDBException

  Returns the name associated with the Configurable object.
  Specified by:
    `getName` in interface `Database`
  Following copied from interface: `org.xmldb.api.base.Database`
  Returns:
    the name of the object.
  Throws:
    `XMLDBException` - with expected error codes.
    `ErrorCodes.VENDOR_ERROR` for any vendor specific errors that occur.

### getCollection

    public Collection getCollection(java.lang.String uri)
                             throws XMLDBException

  Retrieves a `Collection` instance based on the URI provided in the `uri` parameter. Implementations must override this method.
  Parameters:
    `uri` - the URI to use to locate the collection.
  Returns:
    The `Collection` instance

### acceptsURI

    public boolean acceptsURI(java.lang.String uri)
                       throws XMLDBException

  acceptsURI determines whether this `Database` implementation can handle the URI.
  Specified by:
    `acceptsURI` in interface `Database`
  Parameters:
    `uri` - the URI to check for.
  Returns:
    true if the URI can be handled, false otherwise.

### getConformanceLevel

    public java.lang.String getConformanceLevel()
                                         throws XMLDBException

  Returns the XML:DB API Conformance level for the implementation.
  Specified by:
    `getConformanceLevel` in interface `Database`
  Returns:
    the XML:DB API conformance level for this implementation.

dbXML API

Copyright (c) 1999-2001 The dbXML Group, All rights reserved